"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var src_1 = require("../src");
describe('ansi', function () {
    it('keys basics', function () {
        expect(src_1.keys({ name: 'a' })).toBe('\u0061');
        expect(src_1.keys({ name: 'a', meta: true })).toBe('\u001b\u0061');
        expect(src_1.keys({ name: 'a', ctrl: true })).toBe('\u0001');
        expect(src_1.keys({ name: 'a', shift: true })).toBe('\u0041');
        expect(src_1.keys({ name: 'a', meta: true, ctrl: true })).toBe('\u001b\u0001');
        expect(src_1.keys({ name: 'a', meta: true, shift: true })).toBe('\u001b\u0041');
        expect(src_1.keys({ name: 'b', meta: true })).toBe('\u001b\u0062');
        expect(src_1.keys({ name: 'b', ctrl: true })).toBe('\u0002');
        expect(src_1.keys({ name: 'b', meta: true })).toBe('\u001b\u0062');
        expect(src_1.keys({ name: 'b', meta: true, ctrl: true })).toBe('\u001b\u0002');
        expect(src_1.keys({ name: 'k' })).toBe('\u006b');
        expect(src_1.keys({ name: 'k', ctrl: true })).toBe('\u000b');
        expect(src_1.keys({ name: 'd', ctrl: true })).toBe('\u0004');
        expect(src_1.keys({ name: 'r', ctrl: true })).toBe('\u0012');
        expect(src_1.keys({ name: 'B' })).toBe('\u0042');
        expect(src_1.keys({ name: 'B', shift: true })).toBe('\u0062');
        expect(src_1.keys({ name: 'v', ctrl: true })).toBe('\u0016'); // fails!
        expect(src_1.keys({ name: 'b', shift: true, meta: true })).toBe('\u001b\u0042');
        expect(src_1.keys({ name: 'A', ctrl: true })).toBe('\u0001');
        expect(src_1.keys({ name: '&' })).toBe('&'); // not in the table
        expect(src_1.keys({ name: '1' })).toBe('\u0031');
        expect(src_1.keys({ name: '2' })).toBe('\u0032');
        expect(src_1.keys({ name: '3' })).toBe('\u0033');
        expect(src_1.keys({ name: '7' })).toBe('\u0037');
        expect(src_1.keys({ name: '9' })).toBe('\u0039');
        expect(src_1.keys({ name: '0' })).toBe('\u0030');
        expect(src_1.keys({ name: '1', ctrl: true })).toBe('\u0031');
        expect(src_1.keys({ name: '2', ctrl: true })).toBe('\u0000');
        expect(src_1.keys({ name: '6', meta: true })).toBe('\u001b\u0036');
    });
});
//# sourceMappingURL=keysSpec.js.map