/**
 * Return the correct unicode sequence representing given key and control combination. Supports [a-zA-Z0-9] as input characters with any combination of ctrl - meta - shift modifiers. Usage example:
 *
 * ```js
 * key({ name: 'a', meta: true, shift: true })
 * ```
 *
 */
export declare const keys: typeof getSequenceFor;
export declare const key: typeof getSequenceFor;
export declare function getSequenceFor(key: Key): string;
export interface Key {
    sequence?: string;
    name?: string;
    ctrl?: boolean;
    meta?: boolean;
    shift?: boolean;
}
export declare const CURSOR_UP: string;
export declare const CURSOR_DOWN: string;
export declare const CURSOR_FORWARD: string;
export declare const CURSOR_BACK: string;
export declare const RETURN: string;
export declare const TAB: string;
export declare const ESC: string;
export declare const BACKSPACE: string;
